import React from "react";
import { AutoControlledPopper } from "./AutoControlledPopper";
import { createButton } from "../../button";
import { element, object, oneOfType } from "prop-types";
import { forwardRef } from "react";
const propTypes = {
  /**
   * The button trigger.
   */
  button: oneOfType([element, object]).isRequired
};
export function InnerButtonPopper({
  button,
  forwardedRef,
  ...rest
}) {
  const trigger = createButton(button);
  return /*#__PURE__*/React.createElement(AutoControlledPopper, Object.assign({}, rest, {
    trigger: trigger,
    toggleHandler: "onClick",
    ref: forwardedRef
  }));
}
InnerButtonPopper.displayName = "InnerButtonPopper";
InnerButtonPopper.propTypes = propTypes;
export const ButtonPopper = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerButtonPopper, Object.assign({}, props, {
  forwardedRef: ref
})));